Subject: [art] Question regarding RFC 6901

From: Brett Zamir <[email-masked]>
Date: Fri, 28 Oct 2016 12:02:05 -0700

For any new version of the specification on JSON Pointers, I'd like to 
see a formal means of reserving some tilde sequence (e.g., ~$....~) for 
encapsulating variables that can be substituted during preprocessing 
(e.g., `http://example.com/langs/~$locale~.json` within a JSON pointer 
could be preprocessed by an application to become 
`http://example.com/langs/en-US.json`).

JSON Pointer could also outline specific reserved variable names such as 
"locale", but my request here is that, as a minimum, the spec prohibit 
future versions from making ~$...~ into a valid sequence with some other 
purpose.

Thanks,
Brett Zamir